Bug 104558 - Missing BuildRequires: zlib-devel
Summary: Missing BuildRequires: zlib-devel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-09-17 05:57 UTC by Mike A. Harris
Modified: 2007-03-27 04:09 UTC (History)
0 users

Fixed In Version: 3.6.1p2-23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-24 19:08:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:114 normal SHIPPED_LIVE Updated openssh packages fix password expiration bugs 2004-05-12 04:00:00 UTC

Description Mike A. Harris 2003-09-17 05:57:54 UTC
The openssh spec file is missing explicit BuildRequires: zlib-devel, but
requires it in order to build.  I discovered this while taking the Red Hat
Linux 7.1 openssh package and trying to build it on a very minimal RHL 6.2
system.  I've checked all supported releases of the OS, and openssh is
missing this BuildRequires on all of them including current development.

Here is the tail end of a build of openssh without zlib-devel installed:

checking for yp_match... no
checking for yp_match in -lnsl... yes
checking for setsockopt... yes
checking for getspnam... yes
checking for deflate in -lz... no
configure: error: *** zlib missing - please install first or check config.log ***
error: Bad exit status from /var/tmp/rpm-tmp.24044 (%build)

Comment 1 Nalin Dahyabhai 2003-10-24 19:08:35 UTC
Fixing in 3.6.1p2-23 and later.

Comment 2 John Flanagan 2004-05-12 04:23:36 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-114.html



Note You need to log in before you can comment on or make changes to this bug.